﻿Imports System.Data
Imports System.Data.SqlClient
Imports System.IO
Imports iTextSharp.text
Imports iTextSharp.text.pdf
Imports iTextSharp.text.html
Imports iTextSharp.text.html.simpleparser
Imports System.Text
Partial Class VB
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        Dim dt As New DataTable()
        dt.Columns.AddRange(New DataColumn(1) {New DataColumn("Name"), New DataColumn("HindiName")})
        dt.Rows.Add("India", "भारत")
        dt.Rows.Add("China", "चीन")
        dt.Rows.Add("England", "इंगलैंड")
        dt.Rows.Add("Canada", "कनाडा")
        dt.Rows.Add("Russia", "रूस")
        dt.Rows.Add("Japan", "जापान")
        GridView1.DataSource = dt
        GridView1.DataBind()
    End Sub
    Protected Sub btnExportPDF_Click(sender As Object, e As EventArgs)
        GridView1.AllowPaging = False
        GridView1.DataBind()

        Dim bf As BaseFont = BaseFont.CreateFont(Environment.GetEnvironmentVariable("windir") + "\fonts\ARIALUNI.TTF", BaseFont.IDENTITY_H, True)

        Dim table As New iTextSharp.text.pdf.PdfPTable(GridView1.Columns.Count)
        Dim widths As Integer() = New Integer(GridView1.Columns.Count - 1) {}
        For x As Integer = 0 To GridView1.Columns.Count - 1
            widths(x) = CInt(GridView1.Columns(x).ItemStyle.Width.Value)
            Dim cellText As String = Server.HtmlDecode(GridView1.HeaderRow.Cells(x).Text)

            'Set Font and Font Color
            Dim font As New iTextSharp.text.Font(bf, 10, iTextSharp.text.Font.NORMAL)
            font.Color = New Color(GridView1.HeaderStyle.ForeColor)
            Dim cell As New iTextSharp.text.pdf.PdfPCell(New Phrase(12, cellText, font))

            'Set Header Row BackGround Color
            cell.BackgroundColor = New Color(GridView1.HeaderStyle.BackColor)

            table.AddCell(cell)
        Next
        table.SetWidths(widths)

        For i As Integer = 0 To GridView1.Rows.Count - 1
            If GridView1.Rows(i).RowType = DataControlRowType.DataRow Then
                For j As Integer = 0 To GridView1.Columns.Count - 1
                    Dim cellText As String = Server.HtmlDecode(GridView1.Rows(i).Cells(j).Text)

                    'Set Font and Font Color
                    Dim font As New iTextSharp.text.Font(bf, 10, iTextSharp.text.Font.NORMAL)
                    font.Color = New Color(GridView1.RowStyle.ForeColor)
                    Dim cell As New iTextSharp.text.pdf.PdfPCell(New Phrase(12, cellText, font))

                    'Set Color of row
                    If i Mod 2 = 0 Then
                        'Set Row BackGround Color
                        cell.BackgroundColor = New Color(GridView1.RowStyle.BackColor)
                    End If
                    table.AddCell(cell)
                Next
            End If
        Next

        'Create the PDF Document
        Dim pdfDoc As New Document(PageSize.A4, 10.0F, 10.0F, 10.0F, 0.0F)
        PdfWriter.GetInstance(pdfDoc, Response.OutputStream)
        pdfDoc.Open()
        pdfDoc.Add(table)
        pdfDoc.Close()
        Response.ContentType = "application/pdf"
        Response.AddHeader("content-disposition", "attachment;filename=GridViewExport.pdf")
        Response.Cache.SetCacheability(HttpCacheability.NoCache)
        Response.Write(pdfDoc)
        Response.End()
    End Sub
    Public Overrides Sub VerifyRenderingInServerForm(control As Control)
        ' Verifies that the control is rendered 
    End Sub
End Class
